GET https://api.ap1.datadoghq.com/api/v2/scim/Usershttps://api.ap2.datadoghq.com/api/v2/scim/Usershttps://api.datadoghq.eu/api/v2/scim/Usershttps://api.ddog-gov.com/api/v2/scim/Usershttps://api.us2.ddog-gov.com/api/v2/scim/Usershttps://api.uk1.datadoghq.com/api/v2/scim/Usershttps://api.datadoghq.com/api/v2/scim/Usershttps://api.us3.datadoghq.com/api/v2/scim/Usershttps://api.us5.datadoghq.com/api/v2/scim/Users

개요

List users in the organization. Results are paginated by startIndex and count parameters. Results can be narrowed down by the filter parameter. Responses include the Datadog roles assigned to each user in the roles attribute. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • 인수

    쿼리 문자열

    이름

    유형

    설명

    startIndex

    integer

    Specifies the start index to fetch the results (1-indexed).

    count

    integer

    Specifies the number of users to be returned.

    filter

    string

    Specifies the url encoded filter to use to narrow down the results. Filter should be of the form userName eq <user name>.

    응답

    OK

    List users response object.

    Expand All

    항목

    유형

    설명

    Resources

    [object]

    List of users matching the request criteria.

    active

    boolean

    A Boolean value indicating the User's administrative status.

    emails

    [object]

    Email addresses for the user.

    primary

    boolean

    Boolean indicating if this email is the primary email address.

    type

    enum

    The type of email. Allowed enum values: work

    value

    string

    Email addresses for the user.

    id

    string

    The identifier of the resource. Not required when creating a user.

    meta

    object

    Metadata associated with a user.

    created

    date-time

    The date and time the user was created.

    lastModified

    date-time

    The date and time the user was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    name

    object

    The components of user's real name

    formatted

    string

    The full name, including all middle names, titles, and suffixes as appropriate, formatted for display.

    roles

    [object]

    Datadog roles assigned to the user. Provide the role UUID in value when provisioning or updating roles through SCIM.

    display

    string

    Human-readable Datadog role name returned in responses.

    value [required]

    string

    Datadog role UUID.

    schemas

    [string]

    User JSON Schemas.

    title

    string

    The user's title.

    userName

    string

    Unique identifier for the User.

    itemsPerPage

    int64

    Number of users returned per page.

    schemas

    [string]

    List response JSON Schemas.

    startIndex

    int64

    Starting index of the users for this page (1-indexed).

    totalResults

    int64

    Total number of users matching the request criteria.

    {
      "Resources": [
        {
          "active": true,
          "emails": [
            {
              "primary": true,
              "type": "work",
              "value": "john.doe@datadoghq.com"
            }
          ],
          "id": "e43536e9-33fe-43f8-90b8-d3e39a7dd6ad",
          "meta": {
            "created": "2024-11-22T15:05:52.055138963Z",
            "lastModified": "2024-11-22T15:05:52.055139017Z",
            "location": "https://app.datadoghq.com/api/scim/v2/Users/e43536e9-33fe-43f8-90b8-d3e39a7dd6ad",
            "resourceType": "User"
          },
          "name": {
            "formatted": "John Doe"
          },
          "roles": [
            {
              "display": "Datadog Read Only Role",
              "value": "00000000-0000-0000-0000-000000000001"
            }
          ],
          "schemas": [
            "urn:ietf:params:scim:schemas:core:2.0:User"
          ],
          "title": "Mr.",
          "userName": "john.doe@datadoghq.com"
        },
        {
          "active": true,
          "emails": [
            {
              "primary": true,
              "type": "work",
              "value": "jane.doe@datadoghq.com"
            }
          ],
          "id": "79ef0d28-f257-4829-97e6-d23d2a26cb1a",
          "meta": {
            "created": "2024-11-22T15:05:52.055139748Z",
            "lastModified": "2024-11-22T15:05:52.055139813Z",
            "location": "https://app.datadoghq.com/api/scim/v2/Users/79ef0d28-f257-4829-97e6-d23d2a26cb1a",
            "resourceType": "User"
          },
          "name": {
            "formatted": "Jane Doe"
          },
          "roles": [
            {
              "display": "Datadog Standard Role",
              "value": "00000000-0000-0000-0000-000000000002"
            }
          ],
          "schemas": [
            "urn:ietf:params:scim:schemas:core:2.0:User"
          ],
          "title": "Mrs.",
          "userName": "jane.doe@datadoghq.com"
        }
      ],
      "itemsPerPage": 2,
      "schemas": [
        "urn:ietf:params:scim:api:messages:2.0:ListResponse"
      ],
      "startIndex": 1,
      "totalResults": 2
    }

    Bad Request

    API error response.

    Expand All

    항목

    유형

    설명

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    항목

    유형

    설명

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    코드 사례

                      # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Users" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"